%global modulename are-we-there-yet

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-are-we-there-yet
Version:        1.1.5
Release:        1%{?dist}
Summary:        Keep track of the overall completion of many disparate processes

License:        ISC
URL:            https://github.com/iarna/are-we-there-yet
Source0:        https://registry.npmjs.org/are-we-there-yet/-/are-we-there-yet-1.1.5.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(delegates) >= 1.0.0 with npmlib(delegates) < 2.0.0))
BuildRequires:  ((npmlib(readable-stream) >= 2.0.6 with npmlib(readable-stream) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Keep track of the overall completion of many disparate processes

%package 1.1.5
Summary:        Keep track of the overall completion of many disparate processes


%description 1.1.5
Keep track of the overall completion of many disparate processes

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tracker-base.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tracker-group.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tracker-stream.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tracker.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGES.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.1.5
%doc CHANGES.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.1.5-1
- Package automatically generated by npm2srpm
